Bug 435931 - sound broken on NVIDIA MCP61 after update to kernel 2.6.23.15-80.fc7
Summary: sound broken on NVIDIA MCP61 after update to kernel 2.6.23.15-80.fc7
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 7
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-04 14:45 UTC by Carlos Bustamante
Modified: 2008-06-20 09:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 03:02:39 UTC
Type: ---


Attachments (Terms of Use)
Sound Card Configuration File report (34.73 KB, text/plain)
2008-03-04 14:45 UTC, Carlos Bustamante
no flags Details

Description Carlos Bustamante 2008-03-04 14:45:21 UTC
Description of problem:
Update to a kernel 2.6.23.15-80.fc7  and the sound doesn't work

Version-Release number of selected component (if applicable):
2.6.23.15-80.fc7 

How reproducible:
update to the kernel 2.6.23.15-80.fc7 

Steps to Reproduce:
1.update to the kernel 2.6.23.15-80.fc7
2.enter in system>Administration>Sound Card Detect.
3.Reconfigure
4.Reboot
5. NO SOUND  
Actual results:
NO SOUND

Expected results:
SOUND

Additional info:
Alsa mixer doesn't work
but with xmms i still hear something but very very low (Like a wisper)

Comment 1 Carlos Bustamante 2008-03-04 14:45:21 UTC
Created attachment 296745 [details]
Sound Card Configuration File report

Comment 2 Martin Stransky 2008-03-05 15:31:15 UTC
Do you use the digital output?

Comment 3 Carlos Bustamante 2008-03-06 11:15:56 UTC
I don't know, just i plug the Speakers to the line and doesn't work.
recently i have do it more tests and try to fix the problem but, the only thing
that i can do is making the card "sound" but with no volume. the Mayor problem
is the alsa that can't use the sound and when 
i try alsamixer tellme this
alsamixer: function snd_mixer_load failed: Invalid argument

and the PCM IS configured (i think so)
lsmod |grep snd
snd_rtctimer            6625  0 
snd_usb_audio          74305  0 
snd_usb_lib            16961  1 snd_usb_audio
snd_rawmidi            21185  1 snd_usb_lib
snd_hwdep              10309  1 snd_usb_audio
snd_hda_intel         257629  5 
snd_seq_dummy           6725  0 
snd_seq_oss            29889  0 
snd_seq_midi_event      9665  1 snd_seq_oss
snd_seq                44721  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9933  4 snd_rawmidi,snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            38337  0 
snd_mixer_oss          16577  2 snd_pcm_oss
snd_pcm                64069  4 snd_usb_audio,snd_hda_intel,snd_pcm_oss
snd_timer              20421  4 snd_rtctimer,snd_seq,snd_pcm
snd                    43205  17
snd_usb_audio,snd_rawmidi,snd_hwdep,snd_hda_intel,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9505  2 snd
snd_page_alloc         11209  2 snd_hda_intel,snd_pcm




Comment 4 Carlos Bustamante 2008-03-06 11:17:48 UTC
cat /etc/modprobe.conf
alias eth0 forcedeth
alias scsi_hostadapter sata_nv
alias scsi_hostadapter1 pata_amd
options snd cards_limit=8
alias snd-card-0 snd-hda-intel
options snd-hda-intel index=0
alias snd-card-7 snd-usb-audio
options snd-usb-audio index=7

Comment 5 Martin Stransky 2008-03-06 11:25:07 UTC
Write those lines to /etc/asound.conf and try again:

#Generated by system-config-soundcard
#If you edit this file, don't run system-config-soundcard,
#all your changes here could be lost.
#SWCONF
#DEV 0
defaults.pcm.card 0 
defaults.pcm.device 0
defaults.ctl.card 0 

Comment 6 Carlos Bustamante 2008-03-10 12:26:06 UTC
Mr. Martin Stransky:
   I did that and nothing!, you need to see any other file or you need to
execute another command i will show you.

this is the last thing i need to show us 
lspci |grep Audio
00:05.0 Audio device: nVidia Corporation MCP61 High Definition Audio (rev a2)

and i no have more cards on my hand to play !

Comment 7 Martin Stransky 2008-03-12 13:11:28 UTC
Did the sound work before the kernel update?

Comment 8 Carlos Bustamante 2008-03-12 15:54:23 UTC
Yes sir! 
it work's very well with the  Fedora(2.6.20-2931.fc7xen)

one thing i ask you, if is right is the problem.
It seems to be the snd-hda-codec.ko (file was not in the folder in the new
version of kernel but in the lsmod i can't see it the snd-hda-conf (and i try
every modprobe.conf (with this same problem in many foro's)

Sall be included thee codec for this card the kernel?


Comment 9 Carlos Bustamante 2008-03-12 15:57:52 UTC
check this
IN MY LINUX
--------------------------------------
smod | grep -i snd
snd_hda_intel         257629  5 
snd_seq_dummy           6725  0 
snd_seq_oss            29889  0 
snd_seq_midi_event      9665  1 snd_seq_oss
snd_seq                44721  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9933  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            38337  0 
snd_mixer_oss          16577  2 snd_pcm_oss
snd_pcm                64069  3 snd_hda_intel,snd_pcm_oss
snd_timer              20421  3 snd_seq,snd_pcm
snd                    43205  14
snd_hda_intel,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9505  2 snd
snd_page_alloc         11209  2 snd_hda_intel,snd_pcm


IN OTHER LINUX
-------------------------------
lsmod | grep -i snd
snd_intel8x0m 13068 6
snd_pcm_oss 37408 0
snd_mixer_oss 14336 1 snd_pcm_oss
snd_intel8x0 26908 2
snd_ac97_codec 87076 2 snd_intel8x0m,snd_intel8x0
ac97_bus 1920 1 snd_ac97_codec
snd_pcm 62856 6 snd_intel8x0m,snd_pcm_oss,snd_intel8x0,snd_ac97_co dec
snd_timer 18308 1 snd_pcm
snd 45928 21 snd_intel8x0m,snd_pcm_oss,snd_mixer_oss,snd_intel8
x0,snd_ac97_codec,snd_pcm,snd_timer
soundcore 7008 1 snd
snd_page_alloc 7560 3 snd_intel8x0m,snd_intel8x0,snd_pcm


------------------------------------------------------------------------
THE ac97_bus 1920 1 snd_ac97_codec IS NOT IN MY modules? why
------------------------------------------------------------------------

Comment 10 Martin Stransky 2008-03-12 16:01:15 UTC
I have no idea. But I'm moving this bug to kernel.

Comment 11 Chuck Ebbert 2008-03-27 04:20:40 UTC
(In reply to comment #3)
> alsamixer: function snd_mixer_load failed: Invalid argument
> 

Try deleting the file /etc/alsa/asound.state while running the new kernel and
then restarting the system.


Comment 12 Carlos Bustamante 2008-03-27 20:55:26 UTC
Ehmmmm.  I did that and doesn't work, and for try one more time i FORMART and
re-install the fedora core 7, the sound card is work fine with the
Fedora(2.6.20-2931.fc7xen) BUT i try (for certify what is the problem) i install
the nvidia driver with yum and becouse the dependencies has update the kernel
with this  2.6.23.15-80.fc7 and reboot, select the new kernel AND BUG! the sound
card doesn't work, (delete again the file)  ,  reboot, and nothing, I think "was
the nvidia video card driver is ocasionating this bug?, but i can't get it work
the sound and  the video at the same time, i fell frustrating right now, and for
versions of "enterprise made in software" i can't migrate to fedora 8 to try!.
Come on guys you can do it!!

Comment 13 Chuck Ebbert 2008-04-02 21:49:49 UTC
Try removing the file /etc/alsa/asound.state

ALSA is not using the -F parameter when restoring state, so when controls move
around the config doesn't get restored.

Comment 14 Bug Zapper 2008-05-14 15:21:26 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Chris Carlson 2008-06-04 20:00:46 UTC
I have a very similar problem with Fedora 9.

I have an NVIDIA MCP61 sound device, but *some* sounds come out.  I get the ping
from xterm, the sound when logging in and out, but none of the audio
applications work.  Flash on Netscape produces no sound, the default audio/video
player with Gnome doesn't produce any sound.


Comment 16 Bug Zapper 2008-06-17 03:02:37 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 Carlos Bustamante 2008-06-19 12:38:32 UTC
============================================
->  FINALLY I HAVE SOLVED THE PROBLEM  -<
============================================
in 

THE ONLY THING THAT I HAVE DONE IS
1) cd /lib/modules/2.6.23.17-88.fc7/kernel/sound/pci
2) mv hda /root
3) reboot 
   the system will inform an error of a driver...

4) config the file (i was create the file)
    /etc/modprobe.d/alsa-base 
with this line
    options snd-hda-intel model=3stack-6ch-dig
5) config the /etc/modprobe.conf
with theese lines
    alias eth1 8139too
    options snd cards_limit=8
    alias snd-card-0 snd-hda-intel
    options snd-hda-intel index=0
    alias snd-card-7 snd-usb-audio
    options snd-usb-audio index=7
~                                  
 
and 6) REBOOT

finally an nVidia Corporation MCP61 PCI Express bridge  WORK OK IN FEDORA 7
Mother board: ASUS M2N-MX 
GREETINGS!!! FOLKS!!







the system would inform you an error, 

Comment 18 Carlos Bustamante 2008-06-19 13:04:26 UTC
miss a step
THE PROCEDURE WILL BE THIS
==========================
THE ONLY THING THAT I HAVE DONE IS
1) cd /lib/modules/2.6.23.17-88.fc7/kernel/sound/pci
2) mv hda /root
3) reboot 
   the system will inform an error of a driver...

4) config the file (i was create the file)
    /etc/modprobe.d/alsa-base 
with this line
    options snd-hda-intel model=3stack-6ch-dig
5) config the /etc/modprobe.conf
with theese lines
    alias eth1 8139too
    options snd cards_limit=8
    alias snd-card-0 snd-hda-intel
    options snd-hda-intel index=0
    alias snd-card-7 snd-usb-audio
    options snd-usb-audio index=7
~                                  
6) mv /root/hda   /lib/modules/2.6.23.17-88.fc7/kernel/sound/pci
7) REBOOT

in general (remove the driver, reboot, config an paste again the driver, and
reboot AND WORKS FINE!!)


Comment 19 Martin Stransky 2008-06-20 09:26:39 UTC
Cool.

What does the trick? The module parameter model=3stack-6ch-dig ? I don't
understand what the steps 1/2 and 6/7 can help...


Note You need to log in before you can comment on or make changes to this bug.